Bug 622442 - SELinux is preventing /bin/bash access to a leaked fifo_file file descriptor.
SELinux is preventing /bin/bash access to a leaked fifo_file file descriptor.
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pinentry (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Boris Ranto
BaseOS QE Security Team
: FastFix, RHELNAK, SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 07:29 EDT by Matěj Cepl
Modified: 2016-07-22 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2010-08-09 07:29:25 EDT
[SELinux je v tolerantním režimu. Přístup byl povolen.]

SELinux denied access requested by the pinentry command. It looks like this is
either a leaked descriptor or pinentry output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the fifo_file. You should generate a bugzilla on selinux-policy, and it will get
routed to the appropriate package. You can safely ignore this avc.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Další informace:

Kontext zdroje                staff_u:staff_r:gpg_pinentry_t:s0-s0:c0.c1023
Kontext cíle                 staff_u:staff_r:staff_t:s0-s0:c0.c1023
Objekty cíle                 fifo_file [ fifo_file ]
Zdroj                         pinentry
Cesta zdroje                  /bin/bash
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          bash-4.1.2-3.el6
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.7.19-36.el6
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Permissive
Název zásuvného modulu     leaks
Název počítače            (removed)
Platforma                     Linux johanka.ceplovi.cz 2.6.32-57.el6.x86_64 #1
                              SMP Tue Aug 3 11:41:34 EDT 2010 x86_64 x86_64
Počet upozornění           1
Poprvé viděno               Po 9. srpen 2010, 01:16:58 EDT
Naposledy viděno             Po 9. srpen 2010, 01:16:58 EDT
Místní ID                   955ade26-ae1e-4f44-b721-9ed2629e8c40
Čísla řádků              

Původní zprávy auditu      

node=johanka.ceplovi.cz type=AVC msg=audit(1281331018.760:5942): avc:  denied  { write } for  pid=16147 comm="pinentry" path="pipe:[3478571]" dev=pipefs ino=3478571 scontext=staff_u:staff_r:gpg_pinentry_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=fifo_file

node=johanka.ceplovi.cz type=SYSCALL msg=audit(1281331018.760:5942): arch=c000003e syscall=59 success=yes exit=0 a0=9e7ba0 a1=7fff1efd0590 a2=7fff1efd11c0 a3=313fc80ee0 items=0 ppid=16146 pid=16147 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="pinentry" exe="/bin/bash" subj=staff_u:staff_r:gpg_pinentry_t:s0-s0:c0.c1023 key=(null)
Comment 2 RHEL Product and Program Management 2010-08-09 07:48:12 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 RHEL Product and Program Management 2011-01-07 10:40:50 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 RHEL Product and Program Management 2012-07-10 01:49:07 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 RHEL Product and Program Management 2012-07-10 21:55:05 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Note You need to log in before you can comment on or make changes to this bug.